<?php

namespace App\Http\ApiV1\Modules\Marketing\Requests;

use App\Http\ApiV1\Support\Requests\BaseFormRequest;

class PatchDiscountProductsRequest extends BaseFormRequest
{
    public function rules(): array
    {
        return [
            'products' => ['required', 'array', 'min:1'],
            'products.*.product_id' => ['required_with:products', 'integer', 'min:1', 'distinct'],
        ];
    }

    public function products(): array
    {
        return $this->input('products');
    }
}
