<?php

namespace App\Http\ApiV1\Modules\Customers\Requests\Customers;

use App\Http\ApiV1\Support\Requests\BaseFormRequest;
use Illuminate\Http\UploadedFile;

class UploadCustomerAvatarRequest extends BaseFormRequest
{
    public function rules(): array
    {
        return [
            'file' => ['required', 'image', 'max:2048'],
        ];
    }

    public function getFile(): UploadedFile
    {
        return $this->file('file');
    }
}
