<?php

namespace App\Http\ApiV1\Support\Resources;

abstract class EnumValueResource extends BaseJsonResource
{
    public function toArray($request): array
    {
        return [
            'id' => $this->getEnumId(),
            'title' => $this->getEnumTitle(),
        ];
    }

    abstract protected function getEnumId(): int;

    abstract protected function getEnumTitle(): string;
}
